> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dintero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reports

> Access settlement reports and configure insight reports for your merchants using the Dintero Partner API.

A Dintero merchant can have two types of reports: settlement reports and insight reports. Use the merchant access token from the [merchant account API access](/docs/partners/partners-merchant-api-access) flow to access reports on behalf of your merchants.

## Settlement reports

Settlement reports are created when settlements are paid out by the payment processors (Dintero Payout, Vipps, Swedbank Pay, Bambora, Walley, and Klarna). See [the payouts guide](https://www.dintero.com/payouts) for when to expect a settlement after a transaction is captured.

### List settlements

Each item in the response can contain multiple attachments, including the source files from the payment processor and the normalized Dintero settlement reports.

```bash wrap Request theme={null}
curl https://api.dintero.com/v1/accounts/T11200001/settlements \
  -H "Authorization: Bearer <TOKEN>"
```

See the [settlement reports API reference](/partners/settlements/aid_settlements_list) for filtering options and response details.

### Get notified about new settlements

Subscribe to the `settlement_add` webhook event to get notified when a settlement is added.

```bash wrap Request theme={null}
curl -X POST https://api.dintero.com/v1/accounts/T11200001/hooks/subscriptions \
  -H "Authorization: Bearer <TOKEN>" \
  -H "Content-Type: application/json" \
  -d '{
    "config": {
      "url": "https://example.com/webhooks/dintero"
    },
    "events": [
      "settlement_add"
    ]
  }'
```

See the [create webhook subscription API reference](/partners/subscriptions/aid_source_hooks_post) for all available options.

## Insight reports

Insight reports are created from transaction data and do not contain settlement information. They are generated automatically at scheduled intervals such as `weekly` or `monthly`.

### Create a report configuration

```bash wrap Request theme={null}
curl -X POST https://api.dintero.com/v1/accounts/T11200001/insight/reports/configuration \
  -H "Authorization: Bearer <TOKEN>" \
  -H "Content-Type: application/json" \
  -d '{
    "dataType": "checkout/transactions",
    "schedule": "weekly",
    "language": "en"
  }'
```

See the [create insight report configuration API reference](/partners/report-configuration/aid_report_configuration_post) for all available options.

### List reports

```bash wrap Request theme={null}
curl https://api.dintero.com/v1/accounts/T11200001/reports/metadata \
  -H "Authorization: Bearer <TOKEN>"
```

See the [list insight reports API reference](/partners/reports/api_reports_metadata_list_get) for response details.
